[PPL-devel] [GIT] ppl/w3ppl(master): Several issues fixed.

Roberto Bagnara bagnara at cs.unipr.it
Tue Apr 14 09:22:07 CEST 2009


Module: ppl/w3ppl
Branch: master
Commit: 8617ef8ecd9cfd460a82fbecfd19648fa492aed2
URL:    http://www.cs.unipr.it/git/gitweb.cgi?p=ppl/w3ppl.git;a=commit;h=8617ef8ecd9cfd460a82fbecfd19648fa492aed2

Author: Roberto Bagnara <bagnara at cs.unipr.it>
Date:   Tue Apr 14 09:21:52 2009 +0200

Several issues fixed.

---

 bin/update_web_site |  140 ++++++++++++++++++++++++++-------------------------
 1 files changed, 72 insertions(+), 68 deletions(-)

diff --git a/bin/update_web_site b/bin/update_web_site
index 8ac559f..802a55a 100755
--- a/bin/update_web_site
+++ b/bin/update_web_site
@@ -2,7 +2,7 @@
 
 # Build the PPL documentation and publish it on the web.
 #
-# Copyright (C) 2001-2008 Roberto Bagnara <bagnara at cs.unipr.it>
+# Copyright (C) 2001-2009 Roberto Bagnara <bagnara at cs.unipr.it>
 
 BRANCH=ppl-0_10-branch
 
@@ -22,7 +22,7 @@ machine=`uname -n`
 top_dir=/tmp/w3ppl-update.$$
 
 # The destination directory in the web area.
-dest_dir=/var/www/html/ppl/new
+dest_dir=/var/www/html/local/ppl
 
 # The email addresses of the developers.
 case "$machine" in
@@ -37,7 +37,7 @@ case "$machine" in
     *)
 #	developers="roberto"
 	developers="bagnara at cs.unipr.it"
-        java_dir=/usr/java/default
+#       java_dir=/usr/java/default
 #	developers="ppl-devel at cs.unipr.it"
     	;;
 esac
@@ -157,76 +157,80 @@ make DESTDIR=$dest_dir
 # Create a build directory.
 mkdir $top_dir/build
 
-# Configure
+# Configure.
 cd $top_dir/ppl
 autoreconf
 cd $top_dir/build
-$top_dir/ppl/configure --with-java=$java_dir --enable-interfaces=all --enable-instantiations=all
-
-# Build the ppl.hh include file.
-cd utils
-make
-cd ../src
-make ppl.hh >MAKELOG.ppl.hh 2>&1
-if [ $? -ne 0 ]
-then
-    echo "*** Cannot build ppl.hh." >>$notification
-    echo "*** Build log follows:" >>$notification
-    cat MAKELOG.ppl.hh >>$notification
-    maybe_notify_developers_and_exit
-fi
-cd ../interfaces
-make ppl_interface_instantiations.m4
-cd C
-make ppl_c.h >MAKELOG.ppl_c.h 2>&1
-if [ $? -ne 0 ]
-then
-    echo "*** Cannot build ppl_c.h." >>$notification
-    echo "*** Build log follows:" >>$notification
-    cat MAKELOG.ppl_c.h >>$notification
-    maybe_notify_developers_and_exit
-fi
-cd ../OCaml
-make ppl_ocaml.mli >MAKELOG.ppl_ocaml.mli 2>&1
-if [ $? -ne 0 ]
-then
-    echo "*** Cannot build ppl_ocaml.mli." >>$notification
-    echo "*** Build log follows:" >>$notification
-    cat MAKELOG.ppl_ocaml.mli >>$notification
-    maybe_notify_developers_and_exit
-fi
-cd ../Prolog
-make ppl_prolog_domains.hh >MAKELOG.ppl_prolog_domains.hh 2>&1
-if [ $? -ne 0 ]
-then
-    echo "*** Cannot build ppl_prolog_domains.hh." >>$notification
-    echo "*** Build log follows:" >>$notification
-    cat MAKELOG.ppl_prolog_domains.hh >>$notification
-    maybe_notify_developers_and_exit
-fi
-make ppl_prolog_domains.cc.stamp >MAKELOG.ppl_prolog_domains.cc.stamp 2>&1
-if [ $? -ne 0 ]
-then
-    echo "*** Cannot build ppl_prolog_domains.cc.stamp." >>$notification
-    echo "*** Build log follows:" >>$notification
-    cat MAKELOG.ppl_prolog_domains.cc.stamp >>$notification
-    maybe_notify_developers_and_exit
-fi
-make Prolog_configured_interface.dox \
-    >MAKELOG.Prolog_configured_interface.dox 2>&1
-if [ $? -ne 0 ]
-then
-    echo "*** Cannot build Prolog_configured_interface.dox." >>$notification
-    echo "*** Build log follows:" >>$notification
-    cat MAKELOG.Prolog_configured_interface.dox >>$notification
-    maybe_notify_developers_and_exit
-fi
-
-# Build the doxygen documentation
+$top_dir/ppl/configure --enable-interfaces=all --enable-instantiations=all
+
+# Make the library.
+make -j 8 >&MAKELOG.library
+
+# # Build the ppl.hh include file.
+# cd utils
+# make
+# cd ../src
+# make ppl.hh >MAKELOG.ppl.hh 2>&1
+# if [ $? -ne 0 ]
+# then
+#     echo "*** Cannot build ppl.hh." >>$notification
+#     echo "*** Build log follows:" >>$notification
+#     cat MAKELOG.ppl.hh >>$notification
+#     maybe_notify_developers_and_exit
+# fi
+# cd ../interfaces
+# make ppl_interface_instantiations.m4
+# cd C
+# make ppl_c.h >MAKELOG.ppl_c.h 2>&1
+# if [ $? -ne 0 ]
+# then
+#     echo "*** Cannot build ppl_c.h." >>$notification
+#     echo "*** Build log follows:" >>$notification
+#     cat MAKELOG.ppl_c.h >>$notification
+#     maybe_notify_developers_and_exit
+# fi
+# cd ../OCaml
+# make ppl_ocaml.mli >MAKELOG.ppl_ocaml.mli 2>&1
+# if [ $? -ne 0 ]
+# then
+#     echo "*** Cannot build ppl_ocaml.mli." >>$notification
+#     echo "*** Build log follows:" >>$notification
+#     cat MAKELOG.ppl_ocaml.mli >>$notification
+#     maybe_notify_developers_and_exit
+# fi
+# cd ../Prolog
+# make ppl_prolog_domains.hh >MAKELOG.ppl_prolog_domains.hh 2>&1
+# if [ $? -ne 0 ]
+# then
+#     echo "*** Cannot build ppl_prolog_domains.hh." >>$notification
+#     echo "*** Build log follows:" >>$notification
+#     cat MAKELOG.ppl_prolog_domains.hh >>$notification
+#     maybe_notify_developers_and_exit
+# fi
+# make ppl_prolog_domains.cc.stamp >MAKELOG.ppl_prolog_domains.cc.stamp 2>&1
+# if [ $? -ne 0 ]
+# then
+#     echo "*** Cannot build ppl_prolog_domains.cc.stamp." >>$notification
+#     echo "*** Build log follows:" >>$notification
+#     cat MAKELOG.ppl_prolog_domains.cc.stamp >>$notification
+#     maybe_notify_developers_and_exit
+# fi
+# make Prolog_configured_interface.dox \
+#     >MAKELOG.Prolog_configured_interface.dox 2>&1
+# if [ $? -ne 0 ]
+# then
+#     echo "*** Cannot build Prolog_configured_interface.dox." >>$notification
+#     echo "*** Build log follows:" >>$notification
+#     cat MAKELOG.Prolog_configured_interface.dox >>$notification
+#     maybe_notify_developers_and_exit
+# fi
+
+# Build the doxygen documentation.
 cd ../../doc
-make world
+cd doc
+make world >&MAKELOG.documentation
 
-# Install
+# Install.
 cp -f *.pdf *.ps.gz *.tar.gz $dest_dir/Documentation/
 rm -rf $dest_dir/Documentation/user*/
 mkdir $dest_dir/Documentation/user




More information about the PPL-devel mailing list